Updates the user_sales_organization_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_sales_organization_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_sales_organization_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_sales_organization_list |
user |
Optionally required : user_id, user_code or user must be provided |
| sales_organization_id |
Foreign key to sales_organization |
globally unique identifier |
Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating user_sales_organization_list |
string |
Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating user_sales_organization_list |
sales_organization |
Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "10a439ff-e812-4f05-8dd0-e28c6fe5ec17",
"user_id": "8ed1354f-b3f2-4e3c-947e-c7f1b64a9c4e",
"user_code": "sample string 3",
"sales_organization_id": "18f24f06-9d9d-4815-98b6-2824556f1d2f",
"sales_organization_code": "sample string 5",
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-03-19T15:11:05.1687802+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.